<!-- 
 Licensed Materials - Property of IBM
 5725-C94, 5725-C95, 5725-C96
 (C) Copyright IBM Corporation 2015, 2015. All Rights Reserved.
 US Government Users Restricted Rights- Use, duplication or disclosure
 restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.lombardisoftware.core.StringEscapeUtilities" %>
<%@ page import="com.lombardisoftware.core.StringUtilities" %>
<%@ page import="com.lombardisoftware.core.config.TWConfiguration" %>

<%!

final boolean isEscapedByXSSFilter = TWConfiguration.getInstance().getServer().isEscapeUserInput();

public String escapeHelper(String content) {
    String rc="";
    if (content != null && !content.equals("")) {
      if (isEscapedByXSSFilter) {
        rc=content;
      } else {
        rc=StringEscapeUtilities.escapeHtml(content);
      }
      // XSS filter doesn't escape single quotes
      rc=StringUtilities.replaceString(content, "'", "&apos", false);
    }
    return rc;
  }
%>
