<!-- 
 Licensed Materials - Property of IBM
 5725-C94, 5725-C95, 5725-C96
 (C) Copyright IBM Corporation 2008, 2015. All Rights Reserved.
 US Government Users Restricted Rights- Use, duplication or disclosure
 restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%--
-@+@-
<pageInfo>
<schema>
<simpleType name="date">
<restriction base="Date">
<format value="MM/dd/yyyy"/>
</restriction>
</simpleType>
<simpleType name="time">
<restriction base="Time">
<format value="HH:mm:ss"/>
</restriction>
</simpleType>
</schema>
<fields>
<field name="zEffDate" type="date" required="true">
<description>Effective Date</description>
<errorMessage>Value entered is not a valid Effective Date (MM/dd/yyyy)</errorMessage>
</field>
<field name="zEffTime" type="time" required="true">
<description>Effective Time</description>
<errorMessage>Value entered is not a valid Effective Time (HH:mm:ss)</errorMessage>
</field>
</fields>
</pageInfo>
-@+@-
--%>
<%@ include file="/html/msgs-init.jsp" %>
<%@ include file="common/prolog.jsp" %>
<%@ page import="com.lombardisoftware.core.StringEscapeUtilities" %>
<%@ page import="com.ibm.bpm.crconfig.BPMContextRootConfigService" %>
<%@ page import="com.ibm.bpm.endpoint.EndpointServiceScenario" %> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<%
    // Norwegian in "no" in Java but "nb" in Dojo.
    String language = ((Locale) session.getAttribute(Globals.LOCALE_KEY)).toString();
    if (language.equals("no")) {
        language = "nb";
    }else{
        language = language.toLowerCase().replace('_', '-');
    }
    
    String zMode = (request.getParameter("zMode") != null) ? StringEscapeUtilities.escapeHtml(request.getParameter("zMode"),true) : "" ;
    String zContext = (request.getParameter("zContext") != null) ? StringEscapeUtilities.escapeHtml(request.getParameter("zContext"),true) : "" ;
    String zReason = (request.getParameter("zReason") != null) ? StringEscapeUtilities.escapeHtml(request.getParameter("zReason"),true) : "" ;
    String zValue = (request.getParameter("zValue") != null) ? StringEscapeUtilities.escapeHtml(request.getParameter("zValue"),true) : "" ;
    
%>
<link rel="stylesheet" type="text/css" href="<lsw:ContextRoot 
         zWebAppName='<%=BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT%>'
         zSpecificScenario='<%=EndpointServiceScenario.TEAMWORKS_TO_PROCESS_PORTAL_SUPPORT.name()%>'
         zDefaultScenario='<%=EndpointServiceScenario.RELATIVE.name()%>'
       />/js/dojo/1.6.1/dijit/themes/soria/soria.css">
       
<script type="text/javascript" djConfig="parseOnLoad:true, locale:'<%= language%>'" src="<lsw:ContextRoot 
         zWebAppName='<%=BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT%>'
         zSpecificScenario='<%=EndpointServiceScenario.TEAMWORKS_TO_PROCESS_PORTAL_SUPPORT.name()%>'
         zDefaultScenario='<%=EndpointServiceScenario.RELATIVE.name()%>'/>/js/dojo/1.6.1/dojo/dojo.js"> 
</script>
		
<script type="text/javascript" src="<lsw:ImagePrefix/>script/coach_designer.js"></script>
<script type="text/javascript" src="<lsw:ImagePrefix/>script/javascript.js"></script>
<script type="text/javascript" src="<lsw:ImagePrefix/>script/validation.js"></script>
<script type="text/javascript" src="<lsw:ImagePrefix/>script/epv.js"></script>
<script type="text/javascript" src="<lsw:ImagePrefix/>script/formatting/lombardi-format.js"></script>
<script type="text/javascript">
    dojo.require("dijit.form.DateTextBox");
    dojo.require("dojo.date.locale");

    dojo.addOnLoad(function(){

        // Setup calendar drop-down style.
        dojo.addClass(dojo.body(), "soria");

        // Copy values from JSP fields to dojo widgets.
        zEffDateWidget.setValue(parseDate(dojo.byId("zEffDate").value));

        // Copy dates from widgets to JSP fields.
        zEffDateWidget.onChange = function(){
            dojo.byId("zEffDate").value = dateToString(zEffDateWidget.getValue());
        };
    var val = "<%= zValue %>";
    if ( val ) {
      document.forms[0].zValue.value=unescapeHtml(val);
    } 
    });

  function unescapeHtml(input){
    var e = document.createElement('div');
    e.innerHTML = input;
    return e.childNodes.length === 0 ? "" : e.childNodes[0].nodeValue;
  }
    function /*Date*/ parseDate(/*String*/ stringDate) {
        return dojo.date.locale.parse(stringDate, {datePattern: "MM/dd/yyyy", selector: "date"});
    }

    function /*String*/ dateToString(/*Date*/ date) {
        return dojo.date.locale.format(date, {datePattern: "MM/dd/yyyy", selector: "date"});
    }
</script>

<lsw:Epv>
<lsw:EpvVar>
<lsw:EpvVarValue>
<title><bean:message key="epv_variable_value.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
<link rel="stylesheet" type="text/css" href="./html/common/tw_rep.css" media="screen, projection" />
<LINK REL="stylesheet" HREF="./html/common/tw_epv.css" TYPE="text/css">
<body>
<form action="epv_variable_value.lsw" method="POST" name="epvForm">
<input type="hidden" name="zObject" value="Epv">
<input type="hidden" name="zActivity" value="Manage">
<input type="hidden" name="zPost" value="1">
<input type="hidden" name="zEpvRef" value="<lsw:EpvRef/>">
<input type="hidden" name="zEpvVarId" value="<lsw:EpvVarId/>">
<input type="hidden" name="zEpvVarValueId" value="<lsw:EpvVarValueId/>">
<input type="hidden" name="zContext" value="<%= zContext%>">
<input type="hidden" name="zMode" value="<%= zMode %>">
<input type="hidden" name="zSaveParam" value="zReason">
<table cellspacing="0" cellpadding="0" border="0" id="layout">
<tr valign="top"><td id="content"><div class="heading">
    <div class="heading-right"></div>
    <h1><bean:message key="epv_variable_value.title" /></h1>
</div>
<div class="body">
	<table class="content-table-nb" cellpadding="0" cellspacing="0">
	<tr>
	<td class="epvfield1" width="30%" class="lbl"><bean:message key="epv_variable_value.varName" /></td>
	<td class="epvfield1" align=left><lsw:EpvVarName/></td>
	</tr>
	<tr>
	<td class="epvfield1" valign="top" class="lbl"><bean:message key="epv_variable_value.reason" /></td>
        <td class="epvfield1" align=left>
          <%-- zMode="A" means add/schedule a new value --%>
          <% if (!zMode.equals("A")) { %>   
             <%-- textarea displays all whitespace between start and end tag, thus no line breaks are allowed here --%>
             <textarea rows=4 cols=65 name="zReason"><lsw:EpvVarValueReason/></textarea>
          <% } else { %>
             <%-- we end here if user's input was incorrect, thus the entered values are sent back from the server --%>
             <textarea rows=4 cols=65 name="zReason"><%= zReason %></textarea>
          <% } %>
        </td>
	</tr>
	<tr>
	<td class="epvfield1" class="lbl"><bean:message key="epv_variable_value.value" /></td>
	<td class="epvfield1" align=left><lsw:WebWidget zFormName="epvForm" zFieldName="zValue" zOptional="false" zLabel="Value" zStyle="width:410" zInitialValue="sdfsf"/></td>
	</tr>
	<tr>
	<td class="epvfield1" width="30%" valign="top" class="lbl"><bean:message key="epv_variable_value.scheduleToInterval" /></td>
	<td class="epvfield1" align=left>

    <input dojoType="dijit.form.DateTextBox" jsId="zEffDateWidget">
    <input type="hidden" size=28 name="zEffDate" id="zEffDate" onChange="vldFld(this);" 
      <% if (zMode.equals("A")) { %> 
        value="<lsw:ServerDate zDateFormat="MM/dd/yyyy"/>"
      <% } else { %>
        value="<lsw:EpvVarValueEffectiveOn zDateFormat="MM/dd/yyyy"/>"
      <% } %> 
    >

    <input class="dijitTextBox" type="text" size=26 name="zEffTime" onChange="vldFld(this);" 
      <% if (zMode.equals("A")) { %> 
        value= "<lsw:ServerDate zDateFormat="HH:mm:ss"/>"
      <% } else { %>
        value="<lsw:EpvVarValueEffectiveOn zDateFormat="HH:mm:ss"/>"
      <% } %> 
    >
	<lsw:Validation zFormName="epvForm" zFieldName="zEffDate"/>
	<lsw:Validation zFormName="epvForm" zFieldName="zEffTime"/>

	</td>
	</tr>
<%--	<tr>--%>
<%--	<td class="epvfield1" valign="top" class="lbl"Reason:</td>--%>
<%--	<td class="epvfield1" align=left>--%>
<%--	<textarea rows=4 cols=32 name="zReason"><% if (!request.getParameter("zMode").equals("A")) { %><lsw:EpvVarValueReason/><% } %></textarea>--%>
<%--	</td>--%>
<%--	</tr>--%>
        <% if (!zMode.equals("A")) { %>
	<tr>
	<td class="epvfield1" class="lbl"><bean:message key="epv_variable_value.lastModifiedBy" /></td>
	<td class="epvfield1" align=left><div class="singleline-display"><lsw:EpvVarValueLastModifiedBy/></div></td>
	</tr>
	<tr>
	<td class="epvfield1" class="lbl"><bean:message key="epv_variable_value.lastModifiedDate" /></td>
	<td class="epvfield1" align=left><div class="singleline-display"><lsw:EpvVarValueLastModified/></div></td>
	</tr>
	<% } %>
	<tr><td>&nbsp;<br></td></tr>
	</td></tr>
	</table>
<p>
<input class="button" type=submit name=zOK value='<bean:message key="epv_variable_value.button_ok" />' onClick="return vldForm(this.form);">
&nbsp;<input class="button" type=button name=zCancel value='<bean:message key="epv_variable_value.button_cancel" />' onClick="window.close();">
<br>
<div id="ErrorMsg" class="errortype"><lsw:ErrorMessage><lsw:True><bean:message key="process_server.error.desc" />&nbsp;&nbsp;<lsw:Text zLength='80'/></lsw:True></lsw:ErrorMessage></div>
</form>
</table>
<table id="content-footer" cellspacing="0" cellpadding="0">
<tr>
    <td id="content-footer-left"></td>
    <td id="content-footer-right"></td>
</tr>


</table>
</form>
</body>
</lsw:EpvVarValue>
</lsw:EpvVar>
</lsw:Epv>
</html>
