<!-- 
 Licensed Materials - Property of IBM
 5725-C94, 5725-C95, 5725-C96
 (C) Copyright IBM Corporation 2007, 2015. All Rights Reserved.
 US Government Users Restricted Rights- Use, duplication or disclosure
 restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ include file="common/prolog.jsp" %>
<%@ include file="/html/msgs-init.jsp" %>
<%@ page import="java.math.BigDecimal,
   com.lombardisoftware.servlet.util.*,
   com.lombardisoftware.utility.UserRegistryHelper,
   java.util.*,
   com.ibm.icu.text.DateFormat,
   com.lombardisoftware.core.StringUtilities,
   com.lombardisoftware.client.DateFormatUtils,
   com.lombardisoftware.client.SortUtils,
   com.lombardisoftware.client.SortUtils.FieldSelector,
   com.lombardisoftware.client.delegate.SecurityProviderDelegateFactory,
   com.lombardisoftware.client.delegate.AuthorizationServiceDelegateFactory,
   com.lombardisoftware.client.persistence.common.ID,
   com.lombardisoftware.client.i18n.UIMessages,
   com.lombardisoftware.client.persistence.ProviderUser,
   com.ibm.bpm.crconfig.BPMContextRootConfigService,
   com.ibm.bpm.endpoint.EndpointServiceScenario"%>
<%--
-@+@-
<pageInfo>
<schema>
<simpleType name="date">
<restriction base="Date">
<format value="MM/dd/yyyy"/>
</restriction>
</simpleType>
</schema>
<fields>
<field name="zLastLogin" type="date" required="false">
<description>Last Login Date</description>
</field>
</fields>
</pageInfo>
-@+@-
--%>

<%@ include file="common/stringHelper.jsp" %>

<% 
  String zAction=escapeHelper(request.getParameter("zAction"));
  String zFilter=escapeHelper(request.getParameter("zFilter"));
  String zUserId=escapeHelper(request.getParameter("zUserId"));
  String zRetDone=escapeHelper(request.getParameter("zRetDone"));
  String zUserName=escapeHelper(request.getParameter("zUserName"));
  String zFullName=escapeHelper(request.getParameter("zFullName"));
  String zPassword=escapeHelper(request.getParameter("zPassword"));
  String zConfirmPassword=escapeHelper(request.getParameter("zConfirmPassword"));
  String zLastLogin=escapeHelper(request.getParameter("zLastLogin"));
  String zDisableUser=escapeHelper(request.getParameter("zDisableUser"));
%>


<html>
<head>
<title><bean:message key="cs_Provider_MaintainInternalUsers.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="text/javascript" src="<lsw:ContextRoot 
         zWebAppName='<%=BPMContextRootConfigService.BPM_WARNAME_PROCESSPORTALSUPPORT%>'
         zSpecificScenario='<%=EndpointServiceScenario.TEAMWORKS_TO_PROCESS_PORTAL_SUPPORT.name()%>'
         zDefaultScenario='<%=EndpointServiceScenario.RELATIVE.name()%>'/>/js/dojo/1.6.1/dojo/dojo.js">
</script>
<script src="<lsw:ImagePrefix/>script/validation.js" type="text/javascript"></script>
<script>
function convB(str) {
 if (!str || (str == "F") || (str == "false") || (str == "0"))
   return false;

   return true;
}

function ListEntry(id,usrname, name,password,lastAdmin) {
 this.id = id;
 this.usrname = usrname;
 this.name = name;
 this.password = password;
 this.lastAdmin = convB(lastAdmin);
}


function compareEntry(a, b) {
 var na = a.name.toLowerCase();
 var nb = b.name.toLowerCase();
 if (na < nb)
  return -1;
 else if (na > nb)
  return 1
 else
  return 0;
}

var arrayAll = new Array();
<% if ((request.getParameter("zRetDone") != null) && (request.getParameter("zFilter") != null) && !(request.getParameter("zFilter").equals(""))) {
String filter = request.getParameter("zFilter");
 while(filter.contains("*"))
        {
			// we are doing this because VMM does not support * in between the search string
            filter = filter.replace("*", "");
        }
//When wildcard optimization is turned on all the '*' will be removed. and only trailing '*' will appended.
//when its off (default setting)wild cards added here will prevail in the search.
 List<ProviderUser> users = SecurityProviderDelegateFactory.getInstance().newInstance().listProviderUsersWithFilter("*" + filter + "*");
 SortUtils.sort(users,
 				new SortUtils.FieldSelector<ProviderUser>() {
   					public String getValue(ProviderUser user) {return user.getUserName();}
   				});
 for (Iterator it = users.iterator() ;it.hasNext();) {
   ProviderUser ud = (ProviderUser)it.next();
   // Handle double quotes
   String userName = StringUtilities.replaceString(ud.getUserName(), "\"", "\\\"", false);
   String lastAdmin = "false";
   if(AuthorizationServiceDelegateFactory.getInstance().newInstance().isLastAdmin(ud.getUserName())){
   lastAdmin = "true";
   }
%>
arrayAll[arrayAll.length] = new ListEntry(<%= ID.getBigDecimal(ud.getUserId()) %>,"<%= userName %>", "<%= ud.getFullName() %>", "<%= ud.getPasswd() %>", "<%= lastAdmin %>");
<%
 }
}
%>

function doFillDetails(obj) {
 var id = 0;
 if (obj != null) {
  id = obj.options[obj.selectedIndex].value;;
 }
 for(i = 0; i < arrayAll.length; i++) {
  var intlUser = arrayAll[i];
  if (intlUser.id == id) {
  document.frm.zUserName.readOnly = true;
  document.frm.zUserName.style.backgroundColor = "silver";
  document.frm.zUserId.value = intlUser.id;
  document.frm.zUserName.value = intlUser.usrname;
  document.frm.zFullName.value = intlUser.name;
  document.frm.zPassword.value = intlUser.password;
  document.frm.zConfirmPassword.value = intlUser.password;
  document.getElementById('error').style.visibility = "hidden";
 document.frm.newB.disabled = false;
 document.frm.addB.disabled = true;
 document.frm.updateB.disabled = false;
 document.frm.deleteB.disabled = false;
 document.frm.zFullName.focus();
 
 if(intlUser.lastAdmin){
 	document.frm.deleteB.disabled = true;
 	document.frm.zDisableUser.disabled = true;
 	<%String msgTitle = UIMessages.getMessage("cannotDeleteUser");%>
 	document.frm.deleteB.title = '<%= msgTitle %>';
 }
 
 return;
 }
}
}

function doAdd() {
document.frm.zAction.value = 'add';
}

function doDelete() {
 if (confirm('<bean:message key="cs_Provider_MaintainInternalUsers.doDelete.confirm" />')){
  document.frm.zAction.value = 'delete';
  document.frm.zUserName.readOnly = false;
  return true;
 } else {
  return false;
 }
}

function doUpdate() {
document.frm.zAction.value = 'update';
document.frm.zUserName.readOnly = false;
}

function doClear() {
document.getElementById('error').style.visibility = "hidden";
doClean();
}

function doClearconpass() {
document.frm.zConfirmPassword.value = "";
}

function doRet() {
 document.location.href = "cs_Provider_MaintainInternalUsers.lsw?zRetDone=1&zFilter="
         + encodeURIComponent(document.frm.zFilter.value);
 return false;
}

function doClean() {
document.frm.zUserName.readOnly = false;
document.frm.zUserName.style.backgroundColor = "white";
document.frm.zUserName.value = "";
document.frm.zFullName.value = "";
document.frm.zPassword.value = "";
document.frm.zConfirmPassword.value = "";
document.frm.addB.disabled = false;
document.frm.deleteB.disabled = true;
document.frm.newB.disabled = false;
document.frm.updateB.disabled = true;
document.frm.zUserName.focus();
document.frm.Userlist.selectedIndex = -1;
}

function doProfile() {
  // document.frm.retB.focus();
}

function doOnLoad() {
 document.frm.zFilter.disabled = false;
<% if(request.getParameter("zMessage") == null) { %>
 doClean();
<%}else{%>
 var actionString = "<%= zAction %>";
 if(actionString == "Update"){
  document.frm.addB.disabled = true;
  document.frm.deleteB.disabled = false;
  document.frm.newB.disabled = false;
  document.frm.updateB.disabled = false;
  document.frm.zUserName.readOnly = true;
  document.frm.zUserName.style.backgroundColor = "silver";
 }
 if(actionString == "Add"){
  document.frm.addB.disabled = false;
  document.frm.deleteB.disabled = true;
  document.frm.newB.disabled = false;
  document.frm.updateB.disabled = true;
  document.frm.zUserName.readOnly = false;
  document.frm.zUserName.style.backgroundColor = "white";
 }
<%}%>
 document.frm.zFilter.focus();
}

function checkEnter(e){ //e is event object passed from function invocation
 var characterCode;
 if (e && e.which){ //if which property of event object is supported (NN4)
   e = e;
	characterCode = e.which //character code is contained in NN4's which property
 } else {
	e = event;
	characterCode = e.keyCode; //character code is contained in IE's keyCode property
 }

 if (characterCode == 13){ //if generated character code is equal to ascii 13 (if enter key)
	return doRet(); // Retrieve data
 } else {
	return true;
 }
}

</script>
</head>
<LINK REL="stylesheet" HREF="./html/common/tw_console.css" TYPE="text/css">
<body class="cswelcomebody" style="width:95%" onload='doOnLoad();'>
<table width="100%" valign="top" cellpadding="2" cellspacing="0" border="0" style="margin-top:0px">
<tr><td id="content"><div class="heading"><h1><bean:message key="cs_Provider_MaintainInternalUsers.desc" /></h1></div></tr>
<tr><td>
<%!
    private static final String BPM_INTERNAL_PROVIDER_ENABLED = "BPM_INTERNAL_PROVIDER_ENABLED";
%>

<%
    Boolean isTWUserRegistry = (Boolean) session.getAttribute(BPM_INTERNAL_PROVIDER_ENABLED);
	    if (isTWUserRegistry == null) {
			String wasFileRegistry = UserRegistryHelper.getActiveRegistry();
			if(wasFileRegistry.contains("WIMUserRegistry")){
				isTWUserRegistry =true;
			}else{
				isTWUserRegistry =false;
			}
		    session.setAttribute(BPM_INTERNAL_PROVIDER_ENABLED, isTWUserRegistry);
    }

    if (isTWUserRegistry) {
%>
<form name="frm" method=post action='cs_Provider_MaintainInternalUsers.lsw'>
<input type="hidden" name="zUserId" value="<%= zUserId %>">
<input type="hidden" name="zRetDone" value="<%= zRetDone%>">
<input type="hidden" name="zObject" value="InternalUser">
<input type="hidden" name="zType" value="1">
<input type="hidden" name="zActivity" value="Change">
<input type="hidden" name="zPost" value="1">
<input type="hidden" name="zAction" value="add">
<table style="margin-left:5" cellpadding="2" cellspacing="0" border="0">
<tr>
<td valign="bottom" height="25"><div class="cslabel">&nbsp;<bean:message key="cs_Provider_MaintainInternalUsers.retrieveProfile" /></div><tr>
<tr><td><input style="width:168" type="text" name="zFilter" value="<%= zFilter %>" onblur="return  doProfile();"  onKeyPress="return checkEnter(event);"><input name="retB" class="button" type="button" value='<bean:message key="cs_Provider_MaintainInternalUsers.button_retrieve" />' onClick="doRet()"></TD><tr>
<tr><td><div class="cslabel">&nbsp;<bean:message key="cs_Provider_MaintainInternalUsers.internalLombardiUsers" /></div>
<select size="26" style="width:260" name="Userlist" onChange="return doFillDetails(this);">
<script>
var zUserId = "<%= zUserId %>";
if (arrayAll != null) {
for(i = 0; i < arrayAll.length; i++) {
 document.write("<OPTION VALUE='" + arrayAll[i].id +"'");
 if (arrayAll[i].id == zUserId)
  document.write(" SELECTED");
 document.write(">" + arrayAll[i].usrname + "</OPTION>\n");
}
}
</script>
</select><br></div>
</td>
<td><div class="cslabel">&nbsp;&nbsp;<bean:message key="cs_Provider_MaintainInternalUsers.internalLombardiUserDetails" /></div>
<table cellpadding="2" cellspacing="0" border="0" style="border:solid gray 1px;margin:5">
<tr><td width="112"><div class="cslabel"><bean:message key="cs_Provider_MaintainInternalUsers.userName" /></div></td><td><input style="width:175" type="text" name="zUserName" value="<%= zUserName %>"><br></TD></tr>
<tr><td><div class="cslabel"><bean:message key="cs_Provider_MaintainInternalUsers.fullName" /></div></td><td><input style="width:175" type="text" name="zFullName" value="<%= zFullName %>" ><br></TD></tr>
<tr><td><div class="cslabel"><bean:message key="cs_Provider_MaintainInternalUsers.password" /></div></td><td><input style="width:175" type="password" name="zPassword" onChange="doClearconpass()" value="<%= zPassword %>"><br></TD></tr>
<tr><td><div class="cslabel"><bean:message key="cs_Provider_MaintainInternalUsers.confirmpwd" /></div></td><td><input style="width:175" type="password" name="zConfirmPassword" value="<%= zConfirmPassword %>"><br></TD></tr><tr><td><br></TD></tr>
<tr><td><br></TD></tr>
<lsw:Validation zFormName="frm" zFieldName="zLastLogin"/>
<tr><td><br></TD></tr>
<tr><td height="200"></td></tr>
</table>
</td>
</tr>
    <tr>
        <td align="center">
            <input name="deleteB" class="button" type="submit" value='<bean:message key="cs_Provider_MaintainInternalUsers.button_delete" />' onClick="return doDelete()">
        </td>
        <td align="center">
            <input name="addB" class="button" type="submit" value='<bean:message key="cs_Provider_MaintainInternalUsers.button_add" />' onClick="doAdd()">
            <input name="updateB" class="button" type="submit" value='<bean:message key="cs_Provider_MaintainInternalUsers.button_update" />' onClick="doUpdate()">
            <input name="newB" class="button" type="button" value='<bean:message key="cs_Provider_MaintainInternalUsers.button_clear" />' onClick="doClear(); return false;">
        </td>
    </tr>
</table>
</form>
<br><br>
<lsw:ErrorMessage><lsw:True><div id="error" class="errortype">&nbsp;<bean:message key="process_server.error.desc" /><span class="errmsg">&nbsp;&nbsp;<lsw:Text/></span></div></lsw:True><lsw:False><div id="error"></div><BR></div></lsw:False></lsw:ErrorMessage>
</td></tr>
<tr><td>
<table class="cshlp" cellpadding="2" cellspacing="0">
<tr><td class="cshlp"><div class="lbl"><bean:message key="cs_Provider_MaintainInternalUsers.title" /></div></td></tr>
<tr><td class="cshlptxt"><div class="info1"><bean:message key="cs_Provider_MaintainInternalUsers.info_desc" />
<br><bean:message key="cs_Provider_MaintainInternalUsers.info_full_resync" />
<%!
    private static final String BPM_IS_MULTIPLE_SECURITY_DOMAIN_ENVIRONMENT = "BPM_IS_MULTIPLE_SECURITY_DOMAIN_ENVIRONMENT";
%>
<%
    Boolean isMultipleSecurityDomainEnvironment = (Boolean) session.getAttribute(BPM_IS_MULTIPLE_SECURITY_DOMAIN_ENVIRONMENT);
        if (isMultipleSecurityDomainEnvironment == null) {
            isMultipleSecurityDomainEnvironment = UserRegistryHelper.isMultipleSecurityDomainEnvironment();
            session.setAttribute(BPM_IS_MULTIPLE_SECURITY_DOMAIN_ENVIRONMENT, isMultipleSecurityDomainEnvironment);
        }

    if (isMultipleSecurityDomainEnvironment) {
%>
<br><bean:message key="cs_Provider_MaintainInternalUsers.info_security_domains" />
<%
    } 
%>
</td></tr>
</div></table>
</td><td>&nbsp;</td></tr>
</table>

<%
    }
    else {
%>
<div class="errortype">&nbsp;<bean:message key="process_server.information.desc" /><span class="errmsg">&nbsp;&nbsp;<bean:message key="cs_Provider_MaintainInternalUsers.provider.information"/></span></div>
</span></div>
</span></div>
<%
    }
%>
</body></html>
