<!-- 
 Licensed Materials - Property of IBM
 5725-C94, 5725-C95, 5725-C96
 (C) Copyright IBM Corporation 2007, 2015. All Rights Reserved.
 US Government Users Restricted Rights- Use, duplication or disclosure
 restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ include file="/html/msgs-init.jsp" %>
<%@ include file="common/prolog.jsp" %>
<%@ include file="common/stringHelper.jsp" %>
<%@ page isErrorPage="true" %>

<%  
  String zCleanUp = escapeHelper(request.getParameter("zCleanUp")); 
  String zCurAttach = escapeHelper(request.getParameter("zCurAttach")); 
  String zCurTask = escapeHelper(request.getParameter("zCurTask")); 
  String zDelAttach = (request.getParameter("zDelAttach") != null) ? escapeHelper(request.getParameter("zDelAttach")) : "0" ;
  String zDelTask = (request.getParameter("zDelTask") != null) ? escapeHelper(request.getParameter("zDelTask")) : "0" ;
%>

<html>
<head>
<title><bean:message key="cs_cleanup.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script language="JavaScript">
<!--
function doClick(){
//document.getElementById('message').style.visibility = "hidden";
var obj = document.getElementById('message');
obj.style.visibility = "hidden";
}

function showMessage(){
  var obj=document.getElementById('message');
  // remoce all messages first
  while (obj.hasChildNodes()) {
    obj.removeChild(obj.firstChild)
  }
  obj.style.visibility = "visible";
  var text = document.createTextNode('<bean:message key="cs_cleanup.showMessage.message" />');
  obj.appendChild(text);
}

function doLoad(){
	var obj=document.getElementById('message');
	// hide all messages first
	while (obj.hasChildNodes()) {
	  obj.removeChild(obj.firstChild)
	}
	var text = document.createTextNode("<%= zCleanUp %>");
	obj.appendChild(text);
  document.frm.newB.focus();
}
-->
</script>
</head>
<LINK REL="stylesheet" HREF="./html/common/tw_console.css" TYPE="text/css">
<body class="cswelcomebody" onload='doLoad();'>
<table width="100%" valign="top" cellpadding="2" cellspacing="0" border="0" style="margin-top:0px">
<tr><td id="content"><div class="heading"><h1><bean:message key="cs_cleanup.desc" /></h1></div>
</tr>
<tr><td>
<form name="frm" method=post action='cs_cleanup.lsw'>
<input type="hidden" name="zObject" value="Task" >
<input type="hidden" name="zActivity" value="Cleanup">
<input type="hidden" name="zPost" value="1">
<table class="content-table" style="margin:5" cellpadding="2" cellspacing="0">
<thead><tr><br>
<td class="cstitle"><center><div class="cslabel"><bean:message key="cs_cleanup.select_cleanup" /></center></div></td>
</tr>
<tbody>
<tr>
<td>
<!-- The values for these radio input widgets should match what is defined in TaskCore -->
<div class="info1"><input type="radio" name="zCleanupMode" value="1" CHECKED onClick="doClick()"><bean:message key="cs_cleanup.info_radio1" /></div><br>
<div class="info1"><input type="radio" name="zCleanupMode" value="2" onClick="doClick()"><bean:message key="cs_cleanup.info_radio2" /></div><br>
<div class="info1"><input type="radio" name="zCleanupMode" value="3" onClick="doClick()"><bean:message key="cs_cleanup.info_radio3" /></div><br>
<div class="info1"><input type="radio" name="zCleanupMode" value="4" onClick="doClick()"><bean:message key="cs_cleanup.info_radio4" /></div>
</td>
</tr>
</table>
<table style="margin:5" cellpadding="2" cellspacing="0" border="0"><br>
<tr>
<td><div class="cslabel">&nbsp;&nbsp;<bean:message key="cs_cleanup.current_counts" /></div>
<table class='content-table' style="margin:5" cellpadding="2" cellspacing="0" border="0">
<tr>
<lsw:HKStatistics>
<tr><TD width="80"><div class="cslabel"><bean:message key="cs_cleanup.tasks" /></div></td><td><input style="width:90" type="text" name="zTasks" disabled value="<% if (request.getParameter("zCurTask") != null) { %><%= zCurTask %><% } else { %><lsw:TaskCount/><% } %>"></TD></tr>
<tr><TD width="80"><div class="cslabel"><bean:message key="cs_cleanup.attachments" /></div></td><td><input style="width:90" type="text" name="zAttach" disabled value="<% if (request.getParameter("zCurAttach") != null) { %><%= zCurAttach %><% } else { %><lsw:TaskAttachCount/><% } %>"></TD></tr>
</lsw:HKStatistics>
</tr>
</table>
<td>
<td>  
<table style="margin:10" >
<tr>
<td><input name="newB" class="button" type="submit" value='<bean:message key="cs_cleanup.button_cleanup" />' onClick="showMessage()"></td>
</tr>
</table>
</td>
<td width=15></td>
<td><div class="cslabel">&nbsp;&nbsp;<bean:message key="cs_cleanup.after_clean" /></div>
<table class='content-table' style="margin:5" cellpadding="2" cellspacing="0" border="0">
<tr><TD width="80"><div class="cslabel"><bean:message key="cs_cleanup.tasks" /></div></td><td>
<input style="width:90" type="text" name="zDelTasks" disabled value="<%= zDelTask%>"></TD></tr>
<tr><TD width="80"><div class="cslabel"><bean:message key="cs_cleanup.attachments" /></div></td><td>
<input style="width:90" type="text" name="zDelAttach" disabled value="<%= zDelAttach %>"></TD></tr>
</table>
</td>
</tr>
</table>
</form>
<h5 style="margin-left:10px; margin-right:10px" id="message">&nbsp;&nbsp;</h5>
<lsw:ErrorMessage><lsw:True><div id="error" class="errortype">&nbsp;<bean:message key="process_server.error.desc" /><span class="errmsg">&nbsp;&nbsp;<lsw:Text/></span></div></lsw:True><lsw:False><div id="error"><BR></div></lsw:False></lsw:ErrorMessage>

<table align="center" class="cshlp" cellpadding="2" cellspacing="0">
<tr><td class="cshlp"><div class="lbl"><center><b><bean:message key="cs_cleanup.warn" /></b></center></div></td></tr>
<tr><td class="cshlptxt"><div class="info1"><center><bean:message key="cs_cleanup.info_message" /><center></td></tr>
</table>

</td></tr>
</table>
</body>
</html>
