<!-- 
 Licensed Materials - Property of IBM
 5725-C94, 5725-C95, 5725-C96
 (C) Copyright IBM Corporation 2007, 2015. All Rights Reserved.
 US Government Users Restricted Rights- Use, duplication or disclosure
 restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ include file="common/prolog.jsp" %>
<%@ include file="/html/msgs-init.jsp" %>
<%@ page isErrorPage="true" %>
<%@ page import="com.lombardisoftware.server.core.PageOfResults,
   java.util.List,
   java.util.Iterator,
   com.lombardisoftware.server.queue.EventMgrMessage,
   com.lombardisoftware.client.delegate.EventQueueManagerDelegateFactory,
   com.lombardisoftware.client.delegate.EventQueueManagerDelegate"%> 

<%@ include file="common/stringHelper.jsp" %>
<%  
  String zResultMessage=escapeHelper(request.getParameter("zResultMessage"));
%> 
  

<html>
<head>
<title><bean:message key="cs_event_mgr_queue.title" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script language="JavaScript">
<!--
function doClick(){
  var obj = document.getElementById('message');
  if (obj) { 
  	obj.style.visibility = "hidden";
  }
}

function doLoad(){
  var obj=document.getElementById('message');
  if (obj) {
    var txt = document.createTextNode("    <%= zResultMessage %>");
    obj.style.visibility = "visible";
    obj.appendChild(txt);
  }
}
-->
</script>
</head>
<LINK REL="stylesheet" HREF="./html/common/tw_console.css" TYPE="text/css">
<body class="cswelcomebody" onload='doLoad();'>
<table width="100%" valign="top" cellpadding="2" cellspacing="0" border="0" style="margin-top:0px">
<tr><td colspan=3 id="content"><div class="heading"><h1><bean:message key="cs_event_mgr_queue.title" /></h1></div></tr>
<%
 String pageNumberParam = request.getParameter("zPageNumber");
 int pageNumber = 0;
 if (pageNumberParam != null) {
  try {
   pageNumber = Integer.parseInt(pageNumberParam);
  } catch (NumberFormatException e) {
   pageNumber = 0;
  }
 }
 String pageSizeParam = request.getParameter("zPageSize");
 int pageSize = 15;
 if (pageSizeParam != null) {
 try {
   pageSize = Integer.parseInt(pageSizeParam);
 } catch (NumberFormatException e)  {
   pageSize = 15;
 }
 }
 PageOfResults results = EventQueueManagerDelegateFactory.getInstance().newInstance().browseErrorQueue(pageNumber, pageSize);
%>
<form name="frm" ACTION="cs_event_mgr_queue.lsw" METHOD=POST>
<input type="hidden" name="zObject" value="EventMgr">
<input type="hidden" name="zActivity" value="UpdateQueue">
<input type="hidden" name="zPost" value="1">
<input type="hidden" name="zActionToken" value="<lsw:ActionToken/>">
<input type="hidden" name="zPageNumber" value="<%= results.getActualPageNumber()%>"/>
<input type="hidden" name="zPageSize" value="<%= results.getRequestedPageSize()%>"/>
<tr><td colspan="2" class="cshlptxt"><center><bean:message key="cs_event_mgr_queue.desc" /><center></td></tr>
<tr>
 <td align="center" colspan="2"><input type="submit" name="zDeleteAll" value='<bean:message key="cs_event_mgr_queue.button_deleteAll" />'/>
 <input type="submit" name="zDelete" value='<bean:message key="cs_event_mgr_queue.button_deleteSelected" />'/>&nbsp;&nbsp;
 <input type="submit" name="zReprocessAll" value='<bean:message key="cs_event_mgr_queue.button_reprocessAll" />'/>
 <input type="submit" name="zReprocess" value='<bean:message key="cs_event_mgr_queue.button_reprocessSelected" />'/></td>
</tr>
<lsw:ErrorMessage><lsw:True><tr><td colspan=2><div ID="message">&nbsp;&nbsp;</div><div id="error" class="errortype">&nbsp;&nbsp;<lsw:Text/></div></td></tr></lsw:True></lsw:ErrorMessage>
<tr>
<td colspan="3" align="center" class="content-table">
 <table width=100%>
  <tr>
   <td width="15%"><div class="cslabel"><a href="cs_event_mgr_queue.lsw?zPageNumber=0&zPageSize=<%= pageSize %>"><bean:message key="cs_event_mgr_queue.first" /></a></div></td>
   <td width="15%"><div class="cslabel"><% if (results.getActualPageNumber() > 0) {%><a href="cs_event_mgr_queue.lsw?zPageNumber=<%=results.getActualPageNumber() - 1%>&zPageSize=<%= pageSize%>"><bean:message key="cs_event_mgr_queue.previous" /></a><% } else { %> <bean:message key="cs_event_mgr_queue.previous" /> <% } %></div></td>
   <td width="40%"><div class="cslabel"><bean:message key="cs_event_mgr_queue.page" /><%= results.getActualPageNumber() + 1 %></div></td>
   <td width="15%"><div class="cslabel"><% if (results.isMorePages()) {%><a href="cs_event_mgr_queue.lsw?zPageNumber=<%=results.getActualPageNumber() + 1%>&zPageSize=<%= pageSize%>"><bean:message key="cs_event_mgr_queue.next" /></a><% } else { %> <bean:message key="cs_event_mgr_queue.next" /> <% } %></div></td>
   <td width="15%"><div class="cslabel"><a href="cs_event_mgr_queue.lsw?zPageNumber=-1&zPageSize=<%= pageSize %>"><bean:message key="cs_event_mgr_queue.last" /></a></div></td>
  </tr>
 </table>
</td>
</tr>
<tr><td class="cshlp" width="50px"><bean:message key="cs_event_mgr_queue.select" /></td><td class="cshlp" nowrap width="95%"><bean:message key="cs_event_mgr_queue.messageData" /></td></tr>
<%
 List rows = results.getResults();
 Iterator it = rows.listIterator();
 while (it.hasNext()) {
   EventMgrMessage tqm = (EventMgrMessage) it.next();
%>
<tr>
 <td><input type="checkbox" name="zMessageId" value="<%= tqm.getMessageId() %>"/></td>
 <td class="cshlptxt"><div><%= tqm.getEscapedMessageData()%></div></td>
</tr>
<%  }%>
</table>
</div></form></body></html>